<template>
  <div id="app">
  <!--making use of the router-->
  <router-view/>
  </div>
</template>

<script>

export default {
  name: 'App',
}
</script>

<style>
#app {
  /* basic styling for the whole page */
  width: 100%;
  height: 100%;
  margin: 0;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 1rem;

  /* Centering items and making the website more mobile-friendly */
  /* Multiple displays tested... seems to work better on mobile than on larger screen */
  display: flex;
	flex-direction: column;
	flex-wrap: nowrap;
	justify-content: center;
	align-items: center;
	align-content: stretch;
}

button {
  /* Parent class to style all buttons, special action
  buttons have their own child classes in this code */
  margin: 0.3rem;
  padding: 1rem;
  border-radius: 0.4rem;
  font-weight: bolder;
  border-width: 0.1rem;
  color: rgb(0, 0, 0);
  font-size: 1.2rem;
  background-color: aliceblue;
  border-style: solid;
  border-color: black;
}
h1 {
  /* Creating a large h1 header with a solid brown
  line underneath for emphasis and decoration */
  font-size: 3rem;
  border-bottom: 0.1rem solid brown;
}
ul {
  /* Unsuccessful attempt at removing the '.' from the ul elements */
  list-style-type: none;
  margin: 0;
  padding: 0;
}
</style>
